"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const electron_1 = require("electron");
const fs = require("fs-extra");
const image_type_1 = require("image-type");
const moment = require("moment");
exports.downloadImage = (bytes, timestamp) => __awaiter(void 0, void 0, void 0, function* () {
    const type = image_type_1.default(bytes);
    const options = {};
    const dateObj = new Date(Number(timestamp));
    if (dateObj.getTime() && !isNaN(dateObj.getTime())) {
        const momentObj = moment(dateObj);
        const filename = `Wire ${momentObj.format('YYYY-MM-DD')} at ${momentObj.format('H.mm.ss')}`;
        options.defaultPath = filename;
    }
    if (type === null || type === void 0 ? void 0 : type.ext) {
        options.filters = [
            {
                extensions: [type.ext],
                name: 'Images',
            },
        ];
        options.defaultPath += `.${type.ext}`;
    }
    const { filePath: chosenPath } = yield electron_1.dialog.showSaveDialog(options);
    if (chosenPath) {
        yield fs.writeFile(chosenPath, new Buffer(bytes.buffer));
    }
});
//# sourceMappingURL=download.js.map