"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const electron_1 = require("electron");
const fs = require("fs-extra");
const globby = require("globby");
const path = require("path");
exports.logDir = path.join(electron_1.app.getPath('userData'), 'logs');
function getLogFiles(base = exports.logDir, absolute = false) {
    return globby.sync('**/*.{log,old}', { absolute, cwd: base, followSymbolicLinks: false, onlyFiles: true });
}
exports.getLogFiles = getLogFiles;
function gatherLogs() {
    return __awaiter(this, void 0, void 0, function* () {
        let log = '';
        const relativeFilePaths = getLogFiles();
        for (const relativeFilePath of relativeFilePaths) {
            const resolvedPath = path.join(exports.logDir, relativeFilePath);
            log += `\n\n+++++++ ${relativeFilePath} +++++++\n`;
            try {
                const fileContent = yield fs.readFile(resolvedPath, 'utf-8');
                log += fileContent || '(no content)\n';
            }
            catch (error) {
                log += '(fle not readable)\n';
            }
            log += '++++++++++++++++++++++++++++\n';
        }
        return log || 'No log files found.';
    });
}
exports.gatherLogs = gatherLogs;
//# sourceMappingURL=loggerUtils.js.map